Get Storage
Endpoint for get provider storage settings details by storage type
Authorized Roles : PROVIDER
Request
URI
GET
https://{api_host}/provider/storagesettings/{stype}
COPY
Path Parameters
string
stype
Required
Type of storage
Possible values are :
PROVIDERREPO,
PROVIDER_LOG_REPO,
PROVIDER_BACKUP_REPO,
Responses
200
OK
Returns
ProviderStorageSettingsDTO
of type(s)
application/vnd.vmware.dms-v1+json
{
"storageType": "string",
"url": "string",
"accessKey": "string",
"secretKey": "string",
"bucket": "string",
"region": "string",
"thumbprint": "string",
"links": [
{
"rel": "string",
"href": "string",
"hreflang": "string",
"media": "string",
"title": "string",
"type": "string",
"deprecation": "string",
"profile": "string",
"name": "string"
}
]
}
string
storageType
Optional
storageType
string
url
Optional
url
string
accessKey
Optional
accessKey
string
secretKey
Optional
secretKey
string
bucket
Optional
bucket
string
region
Optional
region
string
thumbprint
Optional
thumbprint
400
Bad Request
Operation doesn't return any data structure
Provider Storage Settings Operations
POST
Create 2
DELETE
Delete Provider Backup Storage Settings
GET
Get Page 3
GET
Get Storage
PUT
Put
POST
Validate Storage Settings